using System;

namespace Insiders.Windows.Forms
{
	/// <summary>
	/// FunctionManager ̊Tv̐łB
	/// </summary>
	/// 
	public class FunctionManager
	{
		private FunctionMenu menu;
		private FunctionBar bar;
		
		private FunctionManager()
		{
		}

		public FunctionManager(FunctionMenu newMenu, FunctionBar newBar)
		{
			menu = newMenu;
			bar = newBar;
		}

		/// <summary>
		/// w肳ꂽt@NV̐ݒύXALɂB
		/// </summary>
		public void SetFunction(FunctionKey key, string setText, string setToolTipText)
		{
			if (menu != null)
			{
				menu.SetFunction(key, setText);
			}
			if (bar != null)
			{
				bar.SetFunction(key, setText, setToolTipText);
			}
		}

		/// <summary>
		/// w肳ꂽt@NV𖳌ɂB
		/// </summary>
		/// <param name="keys"></param>
		public void DisableFunction(params FunctionKey[] keys)
		{
			if (menu != null)
			{
				menu.DisableFunction(keys);
			}
			if (bar != null)
			{
				bar.DisableFunction(keys);
			}
		}
	}
}
